%define	name	perl-Digest-Nilsimsa
%define	real_name Digest-Nilsimsa
%define	upstream_version	0.06
%define	release	%mkrel 6

Summary:	Perl interface to the Nilsima Algorithm	
Name:		%{name}
Version:	%perl_convert_version %{upstream_version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source:		http://www.cpan.org/authors/id/V/VI/VIPUL/%{real_name}-%{upstream_version}.tar.bz2
URL:		http://search.cpan.org/dist/%{real_name}/
BuildRequires:	perl-devel
Requires:	perl

%description
Digest-Nilsimsa module for perl.

%prep
%setup -q -n %{real_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make OPTIMIZE="$RPM_OPT_FLAGS"

%check
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README 
%{_mandir}/*/*
%{perl_vendorarch}/auto/Digest/Nilsimsa
%{perl_vendorarch}/Digest/*




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.60.0-6.mga3
+ Revision: 365928
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.60.0-5.mga3
+ Revision: 250578
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 0.60.0-4.mga2
+ Revision: 104223
- perl 5.14

* Thu Jan 13 2011 jquelin <jquelin> 0.60.0-3.mga1
+ Revision: 11059
- imported package perl-Digest-Nilsimsa

